Subject: Ornithogalum ready to plant?

From: [email-masked] (Garrett Keel)
Date: 23 Mar 1995 23:39:59 GMT

The Ornithogalum I ordered has been delivered today!  They were supposed to be 
 sent to me when it was time to plant outside.  Is it that time?  I know that 
it has been nice here (Wisconsin, Zone 5) but is it really the best time to 
plant by new Ornithogalums (Chincherinchee)?  Can I start some now in pots?

Thanks in advance...GK